var arr_check = [];
var membership;
var email=uqtx_bulk.email;
var tokenapi=uqtx_bulk.tokenapi;
var preloader = uqtx_bulk.preloader;
var posts = uqtx_bulk.posts;
var nonce = uqtx_bulk.nonce;
var ajaxurl = uqtx_bulk.ajaxurl;
var urlCheck = 'https://covenantlinks.com/id/uniquetext/api/check2';
var tot_check = 0;

function ischeck(id){
	if(jQuery('#'+id).is(':checked')){
		arr_check.push(id);
	} else {
		for (var i = arr_check.length - 1; i >= 0; i--) {
			if(arr_check[i] == id){
				arr_check.splice(i,1);
			}
		}
	}
	//console.log(arr_check);
}

function checkAll(){
	// Loop to all keys
	for (var key in posts) {
	    if (posts.hasOwnProperty(key)) {
	  		jQuery('#'+key).click();
	    }
	} 
}

function startbulk(){
	arr_check.sort(function(a, b){return b-a});
	console.log('arr_check: '+arr_check);
	tot_check = arr_check.length;
	jQuery('#btn_startbulk').html('<div id="pesan-uqtx">Checking in progress... Please wait until all are finished before moving to the next page</div>');
	for (var i = 0; i <arr_check.length; i++) {
		let postID = arr_check[i];
		let article = posts[postID];
		// let isBlock = article.indexOf("/wp:");

		// if(isBlock==false){
		// 	jQuery('#rate'+postID).html('skipped');
			//alert('skipped');
		//} else{
			checkPost(postID,article);
			jQuery('#rate'+postID).html('<div style="text-align: center"><img src="'+preloader+'" width="20px" /></div>');
		//}
		// if(i==arr_check.length-1){
		// 	jQuery('#btn_startbulk').html('<button onclick="startbulk()" id="btn-bulk-check">Start Checking</button>');
		// }
	}
	
}

function checkPost(postID,article){

	jQuery.ajax({
	      url: urlCheck,
	      type: 'POST',
	      dataType: 'json',
	      data: {
	        'email': email,
	        'tokenapi': tokenapi,
	        'cmd': 'sh_result',
	        'article': article,
	        'whitelist': ''
	      },
	    })
	    .done(function(data) {
			//console.log('result-data: '+data);
			result = JSON.parse(data);
			tot_check = tot_check-1;

			let hasil =result['hasil'];
			let dup_rate = -1;
	      	      
			if(hasil!=null){ //duplicate found
				dup_rate = result['dup_rate'];
				console.log('dup_rate: '+dup_rate);
			}
	     	if(dup_rate!=-1){
	     		jQuery('#rate'+postID).html(dup_rate+'%');
	     		add_postmeta(postID,nonce,result);
	     	} else {
	     		jQuery('#rate'+postID).html('unique');
	     		add_postmeta(postID,nonce,result);
	     	}
	     	if(tot_check==0){
	     		jQuery('#btn_startbulk').html('<button onclick="startbulk()" id="btn-bulk-check">Start Checking</button>');
	     	}
	    })
	    .fail(function(data) {
	      console.log('fail bulk check');
	      tot_check = tot_check-1;
	      jQuery('#rate'+postID).html('fail');
	      if(tot_check==0){
	      	jQuery('#btn_startbulk').html('<button onclick="startbulk()" id="btn-bulk-check">Start Checking</button>');
	      }
	})
}
function add_postmeta(post_id,nonce,hasil_cek){
  // console.log('post_id: '+post_id);
  // console.log('uqtx_nonce: '+nonce);
  jQuery.ajax({
     type : "post",
     dataType : "json",
     url : ajaxurl,
     data : {action: "add_postmeta", post_id : post_id, nonce: nonce, result: hasil_cek},
     success: function(response) {
        if(response.type == "success") {
           console.log('success adding post meta');
        }
        else {
           console.log('response wp ajax: '+response);
        }
     }
  }) 
}