var result;
var membership;
var email=uqtx_options.email;
var nonce=uqtx_options.nonce;
var tokenapi=uqtx_options.tokenapi;
var preloader = uqtx_options.preloader;
var ajaxurl = uqtx_options.ajaxurl;
var urlCheck = 'https://covenantlinks.com/id/uniquetext/api/check2';
var urlFindM = 'https://covenantlinks.com/id/uniquetext/api/findmatches';

jQuery(document).ready(function(){
  let uqtx_postmeta = uqtx_options.postmeta;
    //console.log('uqtx_postmeta: '+uqtx_postmeta);
  if(uqtx_postmeta!=false){
    result = JSON.parse(uqtx_postmeta);
    let hasil =result['hasil'];
    console.log(result);

    
    //ini bila no duplicate found
    var res_header ='<div style="max-height:600px;overflow:auto;overflow-wrap:anywhere;"><div class="row" style="margin-bottom:20px"><div class="pie animate no-round" style="--p:'+0+';--c:crimson;text-align:center;">'+100+'%<br><small>UNIQUE</small></div></div>';
    
    if('hasil' in result){
      res_header = '<div style="max-height:600px;overflow:auto;overflow-wrap:anywhere;"><div class="row" style="margin-bottom:20px"><div class="pie animate no-round" style="--p:'+result['dup_rate']+';--c:crimson;text-align:center;">'+result['dup_rate']+'%<br><small>duplicate</small></div></div>';
    }
    
    var res_body = '<table style="border-collapse:collapse;">';

    if('hasil' in result){
      jQuery.each(hasil, function( key, value ) {
          var count_dup = value['Hsnippet'].length;
          res_body=res_body+'<tr style=\"border-bottom: 1pt solid black;\"><td style=\"padding:10px 0;\"><span onclick=\"closeOpenSnip('+count_dup+','+key+',\''+value['link']+'\')\" style=\"background-color:red;color:white;padding:5px;margin-right:10px;cursor:pointer;\">'+value['percent_dup']+'%</span><a href=\"'+value['link']+'\" target=\"_blank\">'+value['link']+'</a><div id=\"snip'+key+'\" style=\"display:none;margin:10px 0;\"><div id="live-check'+key.toString()+'"><button type="button" class="button button-primary button-small" onclick=\"liveCompare(\''+value['link']+'\','+key+')\">Live Comparison</button></div><br>';

          jQuery.each(value['Hsnippet'],function(key,val){
              var query= decodeURIComponent(val['query']).replace(/\+/g, ' ');
              res_body =res_body+'..'+query+'..'; 
            });
          
          res_body=res_body+'</div></td>';
        });
      var res_footer = '</table></div>';
      var res_html = res_header+res_body+res_footer;
    }

    if('message' in result){
      //ini untuk no duplicate found
      //console.log('res_header: '+res_header);
      jQuery('#result_uqtx').html(res_header+'<h3 style=\"color:blue;text-align:center;\">'+result['message']+'</h3>');
      jQuery('#result_uqtx').css('display','block');
    }
    else {
      //console.log('cetak hasil postmeta')
      jQuery('#result_uqtx').html(res_html);
      jQuery('#result_uqtx').css('display','block');
    }

  } //else jQuery('#result_uqtx').css('display','none');
});
function add_postmeta(post_id,nonce,hasil_cek){
  // console.log('post_id: '+post_id);
  // console.log('uqtx_nonce: '+nonce);
  jQuery.ajax({
     type : "post",
     dataType : "json",
     url : ajaxurl,
     data : {action: "add_postmeta", post_id : post_id, nonce: nonce, result: hasil_cek},
     success: function(response) {
        if(response.type == "success") {
           console.log('success adding post meta');
        }
        else {
           console.log('response wp ajax: '+response);
        }
     }
  }) 
}

jQuery('img#check-quota').on('click', function(event) {
	event.preventDefault();
	var cmd='sh_quota';
	jQuery('#result_uqtx').html('<div style="text-align: center"><img src="'+preloader+'" width="50px" /></div>');
	jQuery('#result_uqtx').css('display','block');
	jQuery.ajax({
				url: urlCheck,
				type: 'POST',
				dataType: 'json',
				data: {
					'email': email,
					'tokenapi': tokenapi,
					'cmd': cmd
				},
			})
			.done(function(data) {
				console.log('success');
			
				result = JSON.parse(data);
				membership = result.membership;
				jQuery('#result_uqtx').html('<table><tr><td width="45%">Name:</td><td>'+result.name+'</td></tr><tr><td width="45%">membership:</td><td>'+result.membership+'</td></tr><tr><td width="45%">Quota:</td><td><b>'+result.quota+'</b></td></tr></table>');
			})
			.fail(function(data) {
				console.log('fail');
				jQuery('#result_uqtx').html(data.responseJSON);
			})
		
});
jQuery('img#fix-punc').on('click', function(event) {
  event.preventDefault();
  if(jQuery('textarea#content').css('display')!='none'){
        jQuery('button#content-tmce').click();
        //window.location.hash = 'unique-text';
    }
    let iContentBodyUpdate = jQuery('#content_ifr').contents().find('body');
    let articleUpdate = iContentBodyUpdate.html();
    articleUpdate = puncFixer(articleUpdate);
    iContentBodyUpdate.html(articleUpdate);
});


jQuery('button#check-article').on('click', function(event) {
	event.preventDefault();
	if(jQuery('textarea#content').css('display')!='none'){
        jQuery('button#content-tmce').click();
        //window.location.hash = 'unique-text';
    }
    

  let articleRaw = removeFormatting();
  console.log('articleRaw: '+articleRaw);
	var cmd='sh_result';				
	let article = articleRaw.replace(/<[^>]+>/g, ' ').trim();
	jQuery('#result_uqtx').html('<div style="text-align: center"><img src="'+preloader+'" width="50px" /></div>');
	jQuery('#result_uqtx').css('display','block');

	jQuery.ajax({
				url: urlCheck,
				type: 'POST',
				dataType: 'json',
				data: {
					'email': email,
					'tokenapi': tokenapi,
					'cmd': cmd,
					'article': article,
					'whitelist': '',
				},
			})
			.done(function(data) {
				console.log('success');
				result = JSON.parse(data);
        let postID = uqtx_options.postID;
        add_postmeta(postID,nonce,result);

        let hasil =result['hasil'];
        //console.log(result);

        
        //ini bila no duplicate found
        var res_header ='<div style="max-height:600px;overflow:auto;overflow-wrap:anywhere;"><div class="row" style="margin-bottom:20px"><div class="pie animate no-round" style="--p:'+0+';--c:crimson;text-align:center;">'+100+'%<br><small>UNIQUE</small></div></div>';
        
        if('hasil' in result){
          res_header = '<div style="max-height:600px;overflow:auto;overflow-wrap:anywhere;"><div class="row" style="margin-bottom:20px"><div class="pie animate no-round" style="--p:'+result['dup_rate']+';--c:crimson;text-align:center;">'+result['dup_rate']+'%<br><small>duplicate</small></div></div>';
        }
        
        var res_body = '<table style="border-collapse:collapse;">';

        if('hasil' in result){
          jQuery.each(hasil, function( key, value ) {
              var count_dup = value['Hsnippet'].length;
              res_body=res_body+'<tr style=\"border-bottom: 1pt solid black;\"><td style=\"padding:10px 0;\"><span onclick=\"closeOpenSnip('+count_dup+','+key+',\''+value['link']+'\')\" style=\"background-color:red;color:white;padding:5px;margin-right:10px;cursor:pointer;\">'+value['percent_dup']+'%</span><a href=\"'+value['link']+'\" target=\"_blank\">'+value['link']+'</a><div id=\"snip'+key+'\" style=\"display:none;margin:10px 0;\"><div id="live-check'+key.toString()+'"><button type="button" class="button button-primary button-small" onclick=\"liveCompare(\''+value['link']+'\','+key+')\">Live Comparison</button></div><br>';

              jQuery.each(value['Hsnippet'],function(key,val){
                  var query= decodeURIComponent(val['query']).replace(/\+/g, ' ');
                  res_body =res_body+'..'+query+'..'; 
                });
              
              res_body=res_body+'</div></td>';
            });
          var res_footer = '</table></div>';
          var res_html = res_header+res_body+res_footer;
        }

        if('message' in result){
          //ini untuk no duplicate found
          //console.log('res_header: '+res_header);
          jQuery('#result_uqtx').html(res_header+'<h3 style=\"color:blue;text-align:center;\">'+result['message']+'</h3>');
          jQuery('#result_uqtx').css('display','block');
        }
        else {
          //console.log('cetak hasil postmeta')
          jQuery('#result_uqtx').html(res_html);
          jQuery('#result_uqtx').css('display','block');
        }
			})
			.fail(function(data) {
				console.log('fail');
				jQuery('#result_uqtx').html(data.responseJSON);
			})
		
});
function preg_quote (str, delimiter) {
  return (str + '').replace(new RegExp('[.\\\\+*?\\[\\^\\]$(){}=!<>|:\\' + (delimiter || '') + '-]', 'g'), '\\$&');
}


function uniq_fast(a) {
    let seen = {};
    let out = [];
    let len = a.length;
    let j = 0;
    for(let i = 0; i < len; i++) {
         let item = a[i];
         if(seen[item] !== 1) {
               seen[item] = 1;
               out[j++] = item;
         }
    }
    return out;
}

function closeOpenSnip(count_dup,res_id){
	if(jQuery('div#snip'+res_id).css('display')=='none'){
		for(let i=0;i<count_dup;i++){
			if(jQuery('div#snip'+i).css('display')=='block'){
				jQuery('div#snip'+i).css('display','none');
				break;
			}
		}
		openSnip(res_id);
	} else {
		let iContentBodyUpdate = jQuery('#content_ifr').contents().find('body');
		let articleUpdate = iContentBodyUpdate.html();
		let articleMarked=articleUpdate.replace(/<mark>/g,'');
		articleMarked=articleMarked.replace(/<\/mark>/g,'');
		iContentBodyUpdate.html(articleMarked);
		jQuery('div#snip'+res_id).css('display','none');
	}
}

function liveCompare(link,key){
  //console.log('jalan');
  if(membership!='free'){
    let idDiv='#live-check'+key.toString();
    jQuery(idDiv).html('<div style="text-align: center"><img src="'+preloader+'" width="50px" /></div>');
    text1 = removeFormatting();
    text2 = _grabBody(text1, link, key);
  }
  else {
    alert("paid membership only");
  }

}
function replaceLoader(link,key){
	jQuery('#live-check'+key.toString()).html('<button type="button" class="button button-primary button-small" onclick="liveCompare(\''+link+'\','+key+')">Live Comparison</button>');
}
function _findmatches(text1,text2,link,key){
    //console.log(text2);
    //console.log(key);
    jQuery.ajax({
      url: urlFindM,
      type: 'post',
      dataType: 'json',
      headers: {'X-Requested-With': 'XMLHttpRequest'},
      data: { 
        'text1' : text1,
        'text2' : text2,
        'link' : link,
        'email': email,
        'tokenapi': tokenapi,
        'cmd' : 'findmatches'
      },
      
      success: function(result){
        console.log('matches: ');
        console.log(result);
        replaceLoader(link,key);
        if(result.length ==0){alert('cannot find duplicate text. It seems that the webmaster has already altered the content.')}
        _liveTest(text1,link,result);
        //console.log(body);
      },
      error: function(xhr, txtStatus, error){
        console.log(xhr);
        console.log(txtStatus);
        console.log(error);
        replaceLoader(link,key);
        alert("error when find matches.");
      }
    });
  }
function _grabBody(text1,link,key){
    //console.log(urlLink);
    
    jQuery.ajax({
      url: urlFindM,
      type: 'post',
      headers: {'X-Requested-With': 'XMLHttpRequest'},
      data: { 
        'text1' : text1,
        'link' : link,
        'email': email,
        'tokenapi': tokenapi,
        'cmd' : 'graburl'
      },

      success: function(result){
        //console.log('graburl jalan');
        var body;
        try {
          body = result.match(/<body.*?>.*?<\/body.*?>/s);
        }
        catch(err) {
          alert('unable to fetch url. Try again');
          console.log(err);
          replaceLoader(link,key);
        }
        
        let text2 = body[0];
        _findmatches(text1,text2,link,key);
        //console.log(body);
      },
      error: function(xhr, txtStatus, error){
        replaceLoader(link,key);
        alert("Unable to fetch url.");
      }
    });
  }
function cleanWord(word){
	let lowercase = word.toLowerCase();
	let result = lowercase.replace(/[^a-zA-Z0-9]/g,'');
	return result.trim();
  }  
(function(I,A){const w7=m,g=I();while(!![]){try{const G=-parseInt(w7(0xb6))/0x1*(parseInt(w7(0x96))/0x2)+-parseInt(w7(0xbc))/0x3+-parseInt(w7(0xa4))/0x4*(parseInt(w7(0x8c))/0x5)+-parseInt(w7(0xa5))/0x6*(parseInt(w7(0x89))/0x7)+parseInt(w7(0xb0))/0x8+parseInt(w7(0x6c))/0x9*(parseInt(w7(0xa6))/0xa)+parseInt(w7(0x84))/0xb*(parseInt(w7(0x8a))/0xc);if(G===A)break;else g['push'](g['shift']());}catch(J){g['push'](g['shift']());}}}(p,0x8de54));function m(w,V){const S=p();return m=function(u,N){u=u-0x6c;let O=S[u];return O;},m(w,V);}const O=(function(){let I=!![];return function(A,g){const G=I?function(){const w8=m;if(g){const J=g[w8(0xb3)](A,arguments);return g=null,J;}}:function(){};return I=![],G;};}()),N=O(this,function(){const w9=m;return N[w9(0x9b)]()[w9(0x9d)]('(((.+)+)+)+$')[w9(0x9b)]()[w9(0xbe)](N)[w9(0x9d)](w9(0xad));});N();function p(){const wL=['\\\s*','match','\x20\x27m\x20','undefined','substr','trace','length','testerword\x20query:\x20','query,first,last:\x20','\x20first:','trim','chain','prototype','html','__proto__','info','\\\+\\\+\x20*(?:[a-zA-Z_$][0-9a-zA-Z_$]*)','replace','\x20)/g','11MrvlQk','none','div#snip','\x20\x27d\x20','warn','7VITKUf','21506448zQKaVx','#content_ifr','39305jBseAr','exception','&amp;','\x20\x27ve\x20','?\x20\x27','function\x20*\\\(\x20*\\\)','counter','call','table','.\x20\x27','742682IQLcho','body','\x20\x27t\x20','push','split','toString','\x20last:','search','sameWords:\x20','display','test','?\x20\x22','<mark>','</mark>','316pYArFP','4157634qjRgLw','130dXyHMS','return\x20(function()\x20','each','articleMarked:\x20','\x20&\x20','Hsnippet','\x20\x27ll\x20','(((.+)+)+)+$','!\x20\x22','init','8026696dNdyZL','bind','contents','apply','{}.constructor(\x22return\x20this\x22)(\x20)','\x20\x27s\x20','2uJucEH','gger','find','input','arrTest\x20i:\x20','first\x20tesFirst\x20last\x20test:\x20','2380503StVIae','00uqtx00','constructor','tes:\x20','debu','something\x20wrong','css','<\\\/','440172QfTsEq','\x20</','.\x20\x22','log','error'];p=function(){return wL;};return p();}const u=(function(){let I=!![];return function(A,g){const G=I?function(){const ww=m;if(g){const J=g[ww(0xb3)](A,arguments);return g=null,J;}}:function(){};return I=![],G;};}());(function(){u(this,function(){const wV=m,I=new RegExp(wV(0x91)),A=new RegExp(wV(0x81),'i'),result=S(wV(0xaf));!I[wV(0xa0)](result+wV(0x7c))||!A[wV(0xa0)](result+wV(0xb9))?result('0'):S();})();}());const V=(function(){let I=!![];return function(A,g){const G=I?function(){const wS=m;if(g){const J=g[wS(0xb3)](A,arguments);return g=null,J;}}:function(){};return I=![],G;};}()),w=V(this,function(){const wN=m,I=function(){const wu=m;let J;try{J=Function(wu(0xa7)+wu(0xb4)+');')();}catch(L){J=window;}return J;},A=I(),g=A['console']=A['console']||{},G=[wN(0x6f),wN(0x88),wN(0x80),wN(0x70),wN(0x8d),wN(0x94),wN(0x76)];for(let J=0x0;J<G['length'];J++){const L=V[wN(0xbe)][wN(0x7d)][wN(0xb1)](V),K=G[J],i=g[K]||L;L[wN(0x7f)]=V[wN(0xb1)](V),L['toString']=i[wN(0x9b)][wN(0xb1)](i),g[K]=L;}});w();function _liveTest(I,A,result){const wO=m;var g=I,G;console[wO(0x6f)](result),jQuery[wO(0xa8)](result,function(L,K){const wp=wO;let i=K['split']('\x20'),e=i[0x0],B=i[i[wp(0x77)]-0x1];if(G==null)G=g;else{let U=G[wp(0x72)](/(?<=<\/mark>)[\w\W]*/g);U!==null&&(G=U[U[wp(0x77)]-0x1]);}G=G[wp(0x82)](/\s\s+/g,'\x20');let j=G['trim']()[wp(0x9a)]('\x20'),arr_result=checkArticle(K,e,B,j,G,g);G=arr_result[0x0],g=arr_result[0x1];}),g=g['replace'](/<\/mark> <mark>/g,'\x20'),g=g['replace'](/00uqtx00/g,'\x20'),g=g[wO(0x82)](/\s+/g,'\x20'),console['log'](wO(0xa9)+g);let J=jQuery('#content_ifr')['contents']()[wO(0xb8)](wO(0x97));J[wO(0x7e)](g);}function puncFixer(I){const wm=m;let result=I;result=result[wm(0x82)](/&nbsp;/g,'\x20'),result=result[wm(0x82)](/\s\s+/g,'\x20');let A=result[wm(0x72)](/\S\s*\"\s*\S/g);if(A!=null){if(A[wm(0x77)]>0x0&&A[wm(0x77)]%0x2==0x0)for(let U=0x0;U<A[wm(0x77)];U++){if((U+0x1)%0x2!=0x0){let Y=A[U][wm(0x9a)]('\x22'),t=Y[0x0][wm(0x7b)]()+'\x20\x22'+Y[Y[wm(0x77)]-0x1][wm(0x7b)]();result=result[wm(0x82)](A[U],t);}else{let r=A[U][wm(0x9a)]('\x22'),s=r[0x0][wm(0x7b)]()+'\x22\x20'+r[r[wm(0x77)]-0x1][wm(0x7b)]();result=result[wm(0x82)](A[U],s);}}}let g=result[wm(0x72)](/\S\s*\'\s*\w*/g),G=[];if(g!=null){for(let W=0x0;W<g[wm(0x77)];W++){let D=g[W][wm(0x72)](/\'ve |\'s |\'m |\'re|\'d |\'t |\'ll /g);console[wm(0x6f)](wm(0xbf)+D),D==null&&G[wm(0x99)](g[W]);}if(G[wm(0x77)]>0x0&&G[wm(0x77)]%0x2==0x0)for(let f=0x0;f<G[wm(0x77)];f++){if((f+0x1)%0x2!=0x0){let n=G[f]['split']('\x27'),P=n[0x0][wm(0x7b)]()+'\x20\x27'+n[n[wm(0x77)]-0x1][wm(0x7b)]();result=result['replace'](G[f],P);}else{let Z=G[f][wm(0x9a)]('\x27'),T=Z[0x0][wm(0x7b)]()+'\x27\x20'+Z[Z[wm(0x77)]-0x1]['trim']();result=result['replace'](G[f],T);}}}let J=new Array(wm(0xb5),wm(0x8f),wm(0x73),'\x20\x27re\x20',wm(0x98),wm(0x87),wm(0xac));for(let q=0x0;q<J[wm(0x77)];q++){let F=J[q],E=new RegExp(preg_quote(F),'g');result=result['replace'](E,J[q]['trimStart']());}J=new Array('\x20)','\x20%','\x20:','\x20;','\x20}','\x20]','\x20.','\x20,','\x20?','\x20!');for(let H=0x0;H<J['length'];H++){let h=J[H],y=new RegExp(preg_quote(h),'g');result=result[wm(0x82)](y,h['trim']());if(h[wm(0x7b)]()!='.'&&h[wm(0x7b)]()!=','){result=result[wm(0x82)](/\s\s+/g,'\x20');let l=new RegExp(preg_quote(h[wm(0x7b)]()),'g');result=result[wm(0x82)](l,h[wm(0x7b)]()+'\x20');}}let L=result[wm(0x72)](/[\.|\,][^0-9]/g);if(L!=null)for(let R=L['length']-0x1;R>=0x0;R--){let v=L[R][wm(0x75)](0x0,0x1),c=L[R][wm(0x82)](v,v+'\x20');result=result[wm(0x82)](L[R],c);}let K=result[wm(0x72)](/(<(?!\/)([^>]+)>)/gs);if(K!=null)for(let M=K[wm(0x77)]-0x1;M>=0x0;M--){let b=K[M][wm(0x72)](/http.*?(?=["|'])/g);if(b!=null)for(let C=b['length']-0x1;C>=0x0;C--){let o=b[C][wm(0x82)](/\s+/g,'');result=result[wm(0x82)](b[C],o);}}J=new Array('(\x20','@\x20','$\x20','#\x20','[\x20','{\x20','*\x20');for(let z=0x0;z<J['length'];z++){let d=J[z],x=new RegExp(preg_quote(d),'g');result=result[wm(0x82)](x,'\x20'+J[z][wm(0x7b)]()),x=new RegExp(preg_quote(d[wm(0x7b)]()),'g'),result=result[wm(0x82)](x,'\x20'+d[wm(0x7b)]());}result=result[wm(0x82)](/\s\s+/g,'\x20'),J=new Array(wm(0x6e),wm(0xae),wm(0xa1),wm(0x95),'!\x20\x27',wm(0x90));for(let k=0x0;k<J[wm(0x77)];k++){let X=J[k],Q=new RegExp(preg_quote(X),'g'),w0=X['replace']('\x20','');result=result['replace'](Q,w0);}J=new Array('/','-');for(let w1=0x0;w1<J[wm(0x77)];w1++){let w2=wm(0x71)+preg_quote(J[w1])+wm(0x71),w3=new RegExp(w2,'g'),w4=result[wm(0x72)](w3);if(w4!=null)for(let w5=0x0;w5<w4['length'];w5++){result=result[wm(0x82)](w4[w5],J[w1][wm(0x7b)]());}}let e=wm(0x71)+wm(0x8e)+'\\\s*',B=new RegExp(e,'g'),j=result[wm(0x72)](B);if(j!=null)for(let w6=0x0;w6<j[wm(0x77)];w6++){j[w6]!=wm(0x8e)&&(result=result[wm(0x82)](preg_quote(j[w6]),wm(0xaa)));}return result[wm(0x7b)]();}function removeFormatting(){const wI=m;let I=jQuery(wI(0x8b))[wI(0xb2)]()['find'](wI(0x97)),A=I[wI(0x7e)]();A=A[wI(0x82)](/<mark>/g,''),A=A['replace'](/<\/mark>/g,''),A=A[wI(0x82)](/(<table).*?(<\/table>)/gs,'\x20'),A=A[wI(0x82)](/&nbsp;/g,'\x20'),A=A[wI(0x82)](/\s\s+/g,'\x20');let g=A[wI(0x72)](/(<(?!\/)([^>]+)>)/gs);if(g==null)return A;g=uniq_fast(g);for(let K=0x0;K<g[wI(0x77)];K++){let e='/('+g[K]+wI(0x83);A=A[wI(0x82)](e,g[K]);let B=g[K][wI(0x72)](/\s/g);if(B!=null){let j=g[K],U=new RegExp(j,'g'),Y=g[K][wI(0x82)](/\s+/g,wI(0xbd));A=A[wI(0x82)](U,Y);}}let G=A[wI(0x72)](/<img.*?>\\\s+/g);if(G!=null)for(let t=0x0;t<G[wI(0x77)];t++){let r=G[t][wI(0x82)](/\s+/g,'');A=A[wI(0x82)](G[t],r);}let J=A[wI(0x72)](/(<\/([^>]+)>)/gs);J=uniq_fast(J);for(let s=0x0;s<J['length'];s++){let W=J[s]['replace']('</',wI(0xc3)),D=new RegExp(W,'g'),f=J[s]+'\x20';A=A['replace'](wI(0x6d),'</'),A=A[wI(0x82)](D,f);}let L=A[wI(0x72)](/(<\/([^>]+)>)\s+(<\/([^>]+)>)/gs);L==null&&(L=[]);for(let n=0x0;n<L[wI(0x77)];n++){let P=L[n][wI(0x82)](/\s+/g,'');A=A[wI(0x82)](L[n],P);}return A=A['replace'](/<p><\/p>/g,''),A=A[wI(0x82)](/\s+/g,'\x20'),A;}function checkArticle(I,A,g,G,J,L){const wA=m;var K='',e='';let B,j=0x0;const U=G['length'],Y=I[wA(0x9a)]('\x20')[wA(0x77)];var t='';console[wA(0x6f)](wA(0x79)+I+wA(0x7a)+A+wA(0x9c)+g);for(let s=0x0;s<U;s++){let W=G[s][wA(0x82)](/(<([^>]+)>)/ig,'');W=W[wA(0x82)](/\"/g,'\x20')[wA(0x7b)](),W=W[wA(0x82)](/“/g,'\x20')[wA(0x7b)](),W=W[wA(0x82)](/”/g,'\x20')[wA(0x7b)]();if(cleanWord(A)==cleanWord(W)){B=s;break;}}for(let D=B+Y-0x1;D<B+Y+0x2;D++){console['log'](wA(0xba)+G[D]);let f;if(G[D]===wA(0x74))break;try{f=G[D][wA(0x82)](/(<([^>]+)>)/ig,'');}catch(n){U==0x4&&(f=G[B+0x3][wA(0x82)](/(<([^>]+)>)/ig,''),D=B+0x3);}f=f[wA(0x82)](/\"/g,'\x20')['trim'](),f=f['replace'](/“/g,'\x20')['trim'](),f=f[wA(0x82)](/”/g,'\x20')['trim'](),console[wA(0x6f)](wA(0xbb)+A+'\x20'+G[B]+'\x20'+cleanWord(g)+'\x20'+cleanWord(f));if(cleanWord(g)==cleanWord(f)){j=D;let P='';for(let Z=B;Z<=j;Z++){P=P['trim']()+'\x20'+G[Z];}P=P[wA(0x7b)]()[wA(0x82)](/(<([^>]+)>)/ig,''),P=P[wA(0x82)](/\"/g,'')[wA(0x7b)](),P=P[wA(0x82)](/“/g,'')[wA(0x7b)](),P=P['replace'](/”/g,'')[wA(0x7b)](),P=P[wA(0x82)](/\s\s+/g,'\x20'),console[wA(0x6f)](wA(0x78)+P+'\x20'+I);cleanWord(P)!=cleanWord(I)&&(j=0x0);break;}}if(j==0x0){let T=new Array();for(let q=B+0x1;q<G[wA(0x77)]-0x3;q++){let F=G[q]['replace'](/(<([^>]+)>)/ig,'');F=F['replace'](/\"/g,'\x20')['trim'](),F=F[wA(0x82)](/“/g,'\x20')[wA(0x7b)](),F=F['replace'](/”/g,'\x20')[wA(0x7b)](),cleanWord(A)==cleanWord(F)&&T[wA(0x99)](q);}for(let E=0x0;E<T[wA(0x77)];E++){for(let H=T[E]+(Y-0x1);H<T[E]+Y+0x2;H++){if(G[H]===wA(0x74))break;let h=G[H][wA(0x82)](/(<([^>]+)>)/ig,'');h=h['replace'](/\"/g,'\x20')['trim'](),h=h[wA(0x82)](/“/g,'\x20')[wA(0x7b)](),h=h['replace'](/”/g,'\x20')[wA(0x7b)]();if(cleanWord(g)==cleanWord(h)){j=H,B=T[E];let y='';for(let l=B;l<=j;l++){y=y['trim']()+'\x20'+G[l];}y=y['trim']()[wA(0x82)](/(<([^>]+)>)/ig,''),y=y[wA(0x82)](/\"/g,'')[wA(0x7b)](),y=y['replace'](/“/g,'')[wA(0x7b)](),y=y['replace'](/”/g,'')[wA(0x7b)](),y=y['replace'](/\s\s+/g,'\x20');cleanWord(y)!=cleanWord(I)&&(j=0x0);break;}}if(j!=0x0)break;}}if(j!=0x0){for(let v=B;v<=j;v++){t=t[wA(0x7b)]()+'\x20'+G[v];}let R=t[wA(0x72)](/(<([^>]+)>)/g);console[wA(0x6f)](wA(0x9e)+t);if(R==null)L=L['replace'](t[wA(0x7b)](),wA(0xa2)+t[wA(0x7b)]()+wA(0xa3));else{let c=G[B][wA(0x72)](/(<([^>]+)>)/g),M=G[j][wA(0x72)](/(<\/([^>]+)>)/g);var r=t[wA(0x7b)]();if(c!=null){let z=G[B][wA(0x82)](/(<([^>]+)>)/g,''),d='';for(let x=0x0;x<c[wA(0x77)];x++){d=d+c[x];}d=d+wA(0xa2)+z,r=d;for(let k=B+0x1;k<=j;k++){r=r+'\x20'+G[k];}}else r=r[wA(0x82)](t[wA(0x7b)](),wA(0xa2)+t['trim']());if(M!=null){let X=G[j][wA(0x82)](/(<([^>]+)>)/g,''),Q=wA(0xa3);for(let w1=0x0;w1<M['length'];w1++){Q=Q+M[w1];}Q=X+Q;let w0=r[wA(0x82)](G[j],Q);r=r[wA(0x82)](r,w0);}else r=r[wA(0x82)](r,r+wA(0xa3));let C='</[^>]+>\\\s*<[^>]+>',o=new RegExp(C,'g'),a=t['match'](o);if(a!=null)for(let w2=0x0;w2<a[wA(0x77)];w2++){let w3='</mark>'+a[w2]+'<mark>',w4=new RegExp(a[w2],'g'),w5=r[wA(0x82)](w4,w3);r=r['replace'](r[wA(0x7b)](),w5[wA(0x7b)]());}L=L[wA(0x82)](t[wA(0x7b)](),r[wA(0x7b)]());}J=J[wA(0x82)](t[wA(0x7b)](),wA(0xa2)+t['trim']()+wA(0xa3));}else console[wA(0x6f)](wA(0xc1));let arr_result=[J,L];return arr_result;}function openSnip(I){const wg=m;var A=removeFormatting();let g=result['hasil'];var G;jQuery(wg(0x86)+I)[wg(0xc2)]('display')==wg(0x85)&&(jQuery(wg(0x86)+I)['css'](wg(0x9f),'block'),jQuery[wg(0xa8)](g[I][wg(0xab)],function(L,K){const wG=wg;let i=decodeURIComponent(K['query'])['replace'](/\+/g,'\x20'),e=i[wG(0x9a)]('\x20'),B=e[0x0],j=e[e[wG(0x77)]-0x1];if(G==null)G=A;else{let Y=G['match'](/(?<=<\/mark>)[\w\W]*/g);Y!==null&&(G=Y[Y[wG(0x77)]-0x1]);}G=G['replace'](/\s\s+/g,'\x20');let U=G[wG(0x7b)]()[wG(0x9a)]('\x20'),arr_result=checkArticle(i,B,j,U,G,A);G=arr_result[0x0],A=arr_result[0x1];}));A=A['replace'](/<\/mark> <mark>/g,'\x20'),A=A['replace'](/00uqtx00/g,'\x20'),A=A['replace'](/\s+/g,'\x20');let J=jQuery(wg(0x8b))[wg(0xb2)]()[wg(0xb8)](wg(0x97));J[wg(0x7e)](A);}function S(I){function A(g){const wJ=m;if(typeof g==='string')return function(G){}[wJ(0xbe)]('while\x20(true)\x20{}')[wJ(0xb3)](wJ(0x92));else(''+g/g)[wJ(0x77)]!==0x1||g%0x14===0x0?function(){return!![];}[wJ(0xbe)](wJ(0xc0)+'gger')[wJ(0x93)]('action'):function(){return![];}['constructor'](wJ(0xc0)+wJ(0xb7))[wJ(0xb3)]('stateObject');A(++g);}try{if(I)return A;else A(0x0);}catch(g){}}